Bug 106191 - Troublesome messages for RTL languages in redhat-config-packages
Troublesome messages for RTL languages in redhat-config-packages
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-packages (Show other bugs)
beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 11:35 EDT by Christian Rose
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 16:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2003-10-03 11:35:02 EDT
#: src/size_string.py:7
msgid " Byte"

#: src/size_string.py:9
msgid " Bytes"

#: src/size_string.py:12
msgid " MB"

#: src/size_string.py:15
msgid " KB"


If these messages are preceded in the code by a number, I imagine this can be
difficult to translate correctly for RTL languages -- the number and the word
would end up in the wrong order.

Please include a printf-style specifier too in these messages, so that they can
be translated correctly even in RTL environments:

msgid "%ld MB"
msgid "%ld KB"
msgid "%ld Byte"
msgid "%ld Bytes"

or something like that. See also bug 106157 which is similar.
Comment 1 Jeremy Katz 2003-10-20 17:55:09 EDT
Will do post FC1.  Don't want to change strings this late.
Comment 2 Roozbeh Pournader 2003-11-09 13:56:34 EST
This is no problem for RTL languages, but a problem for the languages
having a grammar with a need for "Bytes" to appear before the numbers,
or using localized digits. I agree that the bug should be fixed, just
that I wanted to correct.
Comment 3 Roozbeh Pournader 2005-09-22 06:43:42 EDT
I can't confirm this is fixed. I just checked out the latest version in the
Fedora CVS ('devel' directory), and it's not fixed there. After doing a "make
prep", 'size_string.py' still contains the strings " Byte", " Bytes", etc.

Would you please reopen, updated the version in the CVS, or point me to where
this is fixed?

Note You need to log in before you can comment on or make changes to this bug.